## org.apache.tools.ant.taskdefs.rmic
Interface RmicAdapter

All Known Implementing Classes:
  DefaultRmicAdapter

public interface RmicAdapter

The interface that all rmic adapters must adher to.

A rmic adapter is an adapter that interprets the rmic's parameters in preperation to be passed off to the compiler this adapter represents. As all the necessary values are stored in the Rmic task itself, the only thing all adapters need is the rmic task, the execute command and a parameterless constructor (for reflection).

Since:
  Ant 1.4

Method Summary
`boolean` `execute()` Executes the task.
`Path` `getClasspath()` The CLASSPATH this rmic process will use.
`FileNameMapper` `getMapper()` Maps source class files to the files generated by this rmic implementation.
`void` `setRmic(Rmic attributes)` Sets the rmic attributes, which are stored in the Rmic task.

Method Detail

### setRmic

    public void setRmic(Rmic attributes)

  Sets the rmic attributes, which are stored in the Rmic task.

### execute

    public boolean execute()
                    throws BuildException

  Executes the task.

  Returns:
    has the compilation been successful
    `BuildException`

### getMapper

    public FileNameMapper getMapper()

  Maps source class files to the files generated by this rmic implementation.

### getClasspath

    public Path getClasspath()

  The CLASSPATH this rmic process will use.

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.